# $Revision: 1.29 $, $Date: 2010/04/20 12:43:05 $
Summary:	Vim syntax: RPM specfiles
Summary(pl.UTF-8):	Składania dla Vima: pliki RPM spec
Name:		vim-syntax-spec
Version:	1.114
Release:	1
License:	Charityware
Group:		Applications/Editors/Vim
Source0:	spec.vim
Source1:	vim-ftplugin-spec.vim
# 4.4.35 is broken
Requires:	rpm-build-tools >= 4.4.36-2
# for diffcol
Requires:	rpm-build-macros >= 1.322
# for _vimdatadir existence
Requires:	vim-rt >= 4:7.2.170
Obsoletes:	vim-ftplugin-spec
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_vimdatadir	%{_datadir}/vim

%description
This plugin provides syntax highlighting for RPM spec files.

%description -l pl.UTF-8
Ta wtyczka zapewnia podświetlanie składni plików RPM spec.

%prep
%setup -qcT
rev=$(awk '/^".*Version:.*Revision:/{print $4}' %{SOURCE0})
if [ "$rev" != "%{version}" ]; then
	: Update version $rev, and retry
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_vimdatadir}/{syntax,ftplugin}
install %{SOURCE0} $RPM_BUILD_ROOT%{_vimdatadir}/syntax/spec.vim
install %{SOURCE1} $RPM_BUILD_ROOT%{_vimdatadir}/ftplugin/spec.vim

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_vimdatadir}/syntax/spec.vim
%{_vimdatadir}/ftplugin/spec.vim

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vim-syntax-spec.spec,v $
Revision 1.29  2010/04/20 12:43:05  pawelz
- up to 1.114

Revision 1.28  2010/04/18 21:12:50  pawelz
- hilight some jpackage macros (only these, we actually use)
- version 1.112

Revision 1.27  2010/04/18 20:29:45  pawelz
- do not hilight _use_jdk, it is not defined in build.macros.
- hilight buildrequires_jdk

Revision 1.26  2010/04/18 20:20:13  pawelz
- recognize bootstrap_release macro
- version 1.110

Revision 1.25  2010/04/18 19:26:47  pawelz
- recognize %required_jdk and %_use_jdk macros
- version 1.108

Revision 1.24  2010/04/14 22:46:11  pawelz
- hilight _javasrcdir
- 1.106

Revision 1.23  2010/04/02 23:36:01  pawelz
- fix after cvs structure migration (sic!): use builder/adapter from
  rpm-build-tools, not from current dir
- include rpm-build.sh before using diffcol (LOL, does anybody tested/used
  it???)
- force fenc=utf-8 for PLD specs (Please, review, I'm not sure if this change
  is correct)
- R: rpm-build-tools >= 4.4.36-2 (for adapter/builder)
- R: rpm-build-macros >= 1.322 (for diffcol)
- up to 1.105

Revision 1.22  2010/02/09 00:20:00  sparky
- added __gtkdocize macro

Revision 1.21  2010/02/07 18:21:29  sparky
- 1.103: fixed description width error

Revision 1.20  2010/02/07 17:48:20  pawelz
- up to v1.102 (support for %undos macro)

Revision 1.19  2010/02/07 17:34:28  glen
- v1.101: add %{rpmcppflags}, install to vim own dir

Revision 1.18  2009/12/14 11:20:29  areq
- 1.98

Revision 1.17  2009/10/12 08:02:10  adamg
- 1.97; recognize pyrequires_eq

Revision 1.16  2009/07/20 06:15:34  glen
- add __lzma

Revision 1.15  2008/10/30 01:34:26  glen
- 1.91: hilite locale names

Revision 1.14  2008/09/16 21:32:18  glen
- 1.87

Revision 1.13  2008/07/22 12:31:47  hawk
- 1.84

Revision 1.12  2008/07/20 08:54:35  qboosh
- pl

Revision 1.11  2008/06/24 07:32:25  adamg
- updated to 1.82:
  - add %php_data_dir for libraries, frameworks, engines that
    are not PEAR class (glen@1.81)
  - recognize gconf_schema_(un)?install, scrollkeeper_update_post(un)?,
    update_icon_cache macro (adamg@1.82)

Revision 1.10  2008/05/29 20:03:03  glen
- vimdatadir is in vim-rt package; rel 3

Revision 1.9  2008-04-08 20:16:27  glen
- release 2

Revision 1.8  2008-04-08 20:16:01  glen
- 1.80 disable spec %if 0 hiliting. i'm out of mana to deal with it

Revision 1.7  2008-03-25 14:54:42  glen
- release 3

Revision 1.6  2008-03-25 14:48:28  glen
- obsoletes vim-ftplugin-spec

Revision 1.5  2008-03-15 21:42:29  areq
- 1.79

Revision 1.4  2008-03-13 21:00:14  glen
- 1.78: %if 0 handling

Revision 1.3  2008-02-17 17:57:40  glen
- add %ppc

Revision 1.2  2008-02-09 10:57:00  glen
- rel 1

Revision 1.1  2008-01-27 01:43:53  glen
- separated from vim.spec as has different release intervals
